Loading...
Searching...
No Matches
estimate.cpp File Reference
`#include <algorithm>`
`#include <deque>`
`#include <iostream>`
`#include <math.h>`
`#include <numeric>`
`#include <omp.h>`
`#include <ranges>`
`#include <stdlib.h>`
`#include <string>`
`#include <vector>`
`#include <seqan3/alphabet/container/concatenated_sequences.hpp>`
`#include <seqan3/alphabet/nucleotide/dna4.hpp>`
`#include <seqan3/core/concept/cereal.hpp>`
`#include <seqan3/io/sequence_file/all.hpp>`
`#include "estimate.hpp"`

## Functions

template<class IBFType, bool last_exp, bool normalization, typename exp_t>
void | check_ibf (min_arguments const &args, IBFType const &ibf, std::vector< uint16_t > &estimations_i, seqan3::dna4_vector const &seq, std::vector< float > &prev_counts, exp_t const &expressions, uint16_t const level, std::vector< double > const fprs, std::vector< int > &deleted)
template<typename float_or_int>
void | read_levels (std::vector< std::vector< float_or_int > > &, std::filesystem::path)
template<class IBFType, bool samplewise, bool normalization_method = false>
void | estimate (estimate_ibf_arguments &args, IBFType &ibf, std::filesystem::path file_out, estimate_arguments const &estimate_args)
| Function to estimate expression value.
void | call_estimate (estimate_ibf_arguments &args, estimate_arguments &estimate_args)
| Function, which calls the estimate function.

## Function Documentation

## call_estimate()

void call_estimate | ( | estimate_ibf_arguments & | args,
|  | estimate_arguments & | estimate_args )

Function, which calls the estimate function.

Parameters

  args | The arguments estimate and ibf use.
  estimate_args | The estimate arguments.

## check_ibf()

template<class IBFType, bool last_exp, bool normalization, typename exp_t>

void check_ibf | ( | min_arguments const & | args,
|  | IBFType const & | ibf,
|  | std::vector< uint16_t > & | estimations_i,
|  | seqan3::dna4_vector const & | seq,
|  | std::vector< float > & | prev_counts,
|  | exp_t const & | expressions,
|  | uint16_t const | level,
|  | std::vector< double > const | fprs,
|  | std::vector< int > & | deleted )

## estimate()

template<class IBFType, bool samplewise, bool normalization_method = false>

void estimate | ( | estimate_ibf_arguments & | args,
|  | IBFType & | ibf,
|  | std::filesystem::path | file_out,
|  | estimate_arguments const & | estimate_args )

Function to estimate expression value.

Parameters

  args | The arguments.
  ibf | The ibf determing what kind ibf is used (compressed or uncompressed).
  file_out | The output file.
  estimate_args | The estimate arguments.

## read_levels()

template<typename float_or_int>

void read_levels | ( | std::vector< std::vector< float_or_int > > & | expressions,
|  | std::filesystem::path | filename )